Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.mock
Class SeamTest

    java.lang.Object
      org.jboss.seam.mock.AbstractSeamTest
          org.jboss.seam.mock.SeamTest

Direct Known Subclasses:
  DBUnitSeamTest

    public class SeamTest

extends AbstractSeamTest

Provides BaseSeamTest functionality for TestNG integration tests.

Author:
  Gavin King, Thomas Heute, Mike Youngstrom, Jozef Hartinger

Nested Class Summary

Nested classes/interfaces inherited from class org.jboss.seam.mock.AbstractSeamTest
`AbstractSeamTest.ComponentTest, AbstractSeamTest.FacesRequest, AbstractSeamTest.NonFacesRequest`

Field Summary

Fields inherited from class org.jboss.seam.mock.AbstractSeamTest
`seamFilter, servletContext, session`

Constructor Summary
`SeamTest()`

Method Summary
`void` | `begin()`
`void` | `cleanupClass()` Cleanup this test class instance Must be run for each test class instance (e.g.
`void` | `end()`
`void` | `reset()` Call this method within a test method to end the previous mock session and start another one.
`void` | `setupClass()` Setup this test class instance Must be run for each test class instance (e.g.
`void` | `startSeam()` Boot Seam.
`protected void` | `stopSeam()` Shutdown Seam.

Methods inherited from class org.jboss.seam.mock.AbstractSeamTest
`createSeamFilter, createServletContext, getConversationIdParameter, getELResolvers, getField, getInitialContext, getInstance, getInstance, getSession, getUserTransaction, initServletContext, installMockTransport, isLongRunningConversation, isSessionInvalid, lookup, setField`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SeamTest

    public SeamTest()

Method Detail

### begin

    public void begin()

  Overrides:
    `begin` in class `AbstractSeamTest`

### end

    public void end()

  Overrides:
    `end` in class `AbstractSeamTest`

### reset

    public void reset()

  Call this method within a test method to end the previous mock session and start another one.

### setupClass

    public void setupClass()
                    throws Exception

  Description copied from class: `AbstractSeamTest`
  Setup this test class instance Must be run for each test class instance (e.g. @BeforeClass)

  Overrides:
    `setupClass` in class `AbstractSeamTest`
  Throws:
    `Exception`

### cleanupClass

    public void cleanupClass()
                      throws Exception

  Description copied from class: `AbstractSeamTest`
  Cleanup this test class instance Must be run for each test class instance (e.g. @AfterClass)

  Overrides:
    `cleanupClass` in class `AbstractSeamTest`
  Throws:
    `Exception`

### startSeam

    public void startSeam()
                   throws Exception

  Description copied from class: `AbstractSeamTest`
  Boot Seam. Can be used at class, test group or suite level (e.g.

  Overrides:
    `startSeam` in class `AbstractSeamTest`
  Throws:
    `Exception`

### stopSeam

    protected void stopSeam()
                     throws Exception

  Description copied from class: `AbstractSeamTest`
  Shutdown Seam. Can be used at class, test group or suite level (e.g

  Overrides:
    `stopSeam` in class `AbstractSeamTest`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.